poi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 47497] New: Compatibility with Google App Engine
Date Wed, 08 Jul 2009 11:36:45 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=47497

           Summary: Compatibility with Google App Engine
           Product: POI
           Version: 3.2-FINAL
          Platform: PC
        OS/Version: Windows XP
            Status: NEW
          Keywords: RFC
          Severity: normal
          Priority: P2
         Component: HSSF
        AssignedTo: dev@poi.apache.org
        ReportedBy: danclancy@hotmail.com


The Apache POI jar (poi-3.2-FINAL-20081019.jar) has incompatibilities with
Google App Engine because it uses various Java classes (java.awt.Color etc.)
which are not allowed within the Google App Engine environment.

See the following automatically-generated report:
---------------------------------------------------------------------------------
This report was created by the Google App Engine Java Compatibility Analyzer
http://www.ltech.com/cloud/google-app-engine/java-compatibility-analyzer
1 files found...
============
1. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Paint which is not found on the Google App
Engine White List
2. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Toolkit which is not found on the Google
App Engine White List
3. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Dimension which is not found on the Google
App Engine White List
4. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Font which is not found on the Google App
Engine White List
5. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.RoundRectangle2D$Float which is not
found on the Google App Engine White List
6. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.Area which is not found on the Google
App Engine White List
7. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.font.GlyphVector which is not found on the
Google App Engine White List
8. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Color which is not found on the Google App
Engine White List
9. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.Line2D which is not found on the
Google App Engine White List
10. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.AffineTransform which is not found on
the Google App Engine White List
11. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.BasicStroke which is not found on the
Google App Engine White List
12. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.FontMetrics which is not found on the
Google App Engine White List
13. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.ImageObserver which is not found on
the Google App Engine White List
14. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.GeneralPath which is not found on the
Google App Engine White List
15. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.Raster which is not found on the
Google App Engine White List
16. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Stroke which is not found on the Google
App Engine White List
17. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Rectangle which is not found on the Google
App Engine White List
18. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses javax.imageio.ImageReader which is not found on the
Google App Engine White List
19. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.WritableRaster which is not found on
the Google App Engine White List
20. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Graphics2D which is not found on the
Google App Engine White List
21. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Image which is not found on the Google App
Engine White List
22. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Composite which is not found on the Google
App Engine White List
23. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.font.TextLayout which is not found on the
Google App Engine White List
24. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.Arc2D$Float which is not found on the
Google App Engine White List
25. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.font.TextAttribute which is not found on
the Google App Engine White List
26. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Graphics which is not found on the Google
App Engine White List
27. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Polygon which is not found on the Google
App Engine White List
28. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.RenderedImage which is not found on
the Google App Engine White List
29. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses javax.imageio.metadata.IIOMetadata which is not
found on the Google App Engine White List
30. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.geom.Rectangle2D which is not found on the
Google App Engine White List
31. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.font.FontRenderContext which is not found
on the Google App Engine White List
32. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.GraphicsConfiguration which is not found
on the Google App Engine White List
33. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.BufferedImageOp which is not found
on the Google App Engine White List
34. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.RenderingHints$Key which is not found on
the Google App Engine White List
35. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.io.FileOutputStream which is not found on the
Google App Engine White List
36. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses javax.imageio.ImageIO which is not found on the
Google App Engine White List
37. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.ColorModel which is not found on the
Google App Engine White List
38. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.BufferedImage which is not found on
the Google App Engine White List
39. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.Shape which is not found on the Google App
Engine White List
40. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.RenderingHints which is not found on the
Google App Engine White List
41. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.rmi.UnexpectedException which is not found on
the Google App Engine White List
42. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses javax.imageio.stream.ImageInputStream which is not
found on the Google App Engine White List
43. C:\Documents and
Settings\daniel.clancy\workspace.Nimbus_Sprint01\Nimbus_Sprint01\lib\poi-3.2-FINAL-20081019.jar:
Compatibility Warning, uses java.awt.image.renderable.RenderableImage which is
not found on the Google App Engine White List
===Summary===
elapsed time: 00:26

.jar files:
# of files analyzed: 1
# of compatibility issues found: 43
# of ignored references: 5

.war files:
# of files analyzed: 0
# of compatibility issues found: 0
# of ignored references: 0

.class files:
# of files analyzed: 0
# of compatibility issues found: 0
# of ignored references: 0

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@poi.apache.org
For additional commands, e-mail: dev-help@poi.apache.org


Mime
View raw message